<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">

<!--    <TextView-->
<!--        android:id="@+id/locationInfo"-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="wrap_content"-->
<!--        app:layout_constraintBottom_toBottomOf="parent"-->
<!--        app:layout_constraintLeft_toLeftOf="parent"-->
<!--        app:layout_constraintRight_toRightOf="parent"-->
<!--        app:layout_constraintTop_toTopOf="parent"></TextView>-->

    <!--TextureMapView是模拟器用的-->
    <com.baidu.mapapi.map.TextureMapView
        android:id="@+id/bmapView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clickable="true" />

    <EditText
        android:id="@+id/select"
        android:layout_width="0dp"
        android:layout_height="48dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintWidth_percent="0.7"
        android:background="@color/white"
        tools:ignore="MissingConstraints" />

    <Button
        android:id="@+id/selectbutton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintWidth_percent="0.3"
        android:background="@color/darkturquoise"
        app:layout_constraintLeft_toRightOf="@+id/select"
        android:text="搜索"
        tools:ignore="MissingConstraints" />

    <Button
        android:id="@+id/show"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:background="@color/khaki"
        android:text="+"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/selectbutton" />

    <Button
        android:id="@+id/map_"
        android:layout_width="0dp"
        android:layout_height="90dp"
        android:background="@color/white"
        app:layout_constraintWidth_percent="0.333"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:text="地图"
        tools:ignore="MissingConstraints" />

    <Button
        android:id="@+id/classtable"
        android:layout_width="0dp"
        android:layout_height="90dp"
        android:background="@color/white"
        app:layout_constraintWidth_percent="0.333"
        app:layout_constraintLeft_toRightOf="@id/map_"
        app:layout_constraintBottom_toBottomOf="parent"
        android:text="课表"
        tools:ignore="MissingConstraints" />

    <Button
        android:id="@+id/Myself"
        android:layout_width="0dp"
        android:layout_height="90dp"
        android:background="@color/white"
        app:layout_constraintWidth_percent="0.333"
        app:layout_constraintLeft_toRightOf="@id/classtable"
        app:layout_constraintBottom_toBottomOf="parent"
        android:text="我的"
        tools:ignore="MissingConstraints" />


</androidx.constraintlayout.widget.ConstraintLayout>